import { css, LitElement, html } from 'lit';

class UUIScrollContainerElement extends LitElement {
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("tabindex", "0");
  }
  render() {
    return html`<slot></slot>`;
  }
}
UUIScrollContainerElement.styles = [
  css`
      :host {
        display: block;
        scrollbar-width: thin;
        scrollbar-color: var(--uui-interface-contrast-disabled,rgb(115, 113, 110))
          var(--uui-interface-background-alt);
        overflow-y: scroll;
      }

      /*
      :host(:focus) {
        outline-width: thin;
        outline-color: var(--uui-interface-border);
      }
      */

      :host::-webkit-scrollbar {
        width: 6px;
        height: 6px; /* needed for horizontal scrollbar */
      }

      :host::-webkit-scrollbar-track {
        background: var(--uui-interface-background-alt);
        border-radius: 3px;
      }
      :host::-webkit-scrollbar-thumb {
        background-color: var(--uui-interface-contrast-disabled,rgb(115, 113, 110));
        border-radius: 3px;
      }
    `
];

export { UUIScrollContainerElement };
